#!/usr/bin/env bash

ABSDIR="$( dirname "$(realpath -s -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

ensure_container_not_exists ${container_name}

podman pull ${upstream_images}:${version} &&
podman run --name ${container_name} --user nobody -p ${listen_if}:${listen_port}:9000 -d ${upstream_images}:${version} &&
( podman logs -f peerjs-server 2>&1 & ) | grep -q 'Started PeerServer' &&
podman stop ${container_name} &&
echo Container ${container_name} successfully built and stopped.
