#!/usr/bin/env bash

ABSDIR="$( dirname "$(readlink -f -- "$0")" )"
source ${ABSDIR}/../functions.sh
source ${ABSDIR}/vars.sh

ensure_pwd_is_scriptdir
ensure_not_root

buildfolder=/tmp/peerjs-server-$$

if ! podman image exists ${upstream_images}:${version}; then
    mkdir ${buildfolder} &&
    curl -sSfL -- "https://github.com/peers/peerjs-server/archive/refs/tags/v${version}.tar.gz" | \tar xz --strip-components 1 -C ${buildfolder}/ &&
    sed_in_place "^FROM node:alpine" "FROM docker.io/library/node:alpine" ${buildfolder}/Dockerfile &&
    podman build -t ${upstream_images}:${version} ${buildfolder}/ &&
    podman rmi docker.io/library/node:alpine &&
    rm -rf ${buildfolder}
else
    echo "Image ${upstream_images}:${version} already built"
fi &&

oci_push_to_registry ${upstream_images}:${version}
